#include <xc.h>

void ADC_Initialize(void)
{
    ADCON0 = 0xC1;		// ADCS:FRC, CHS:AN0, ADON:ON 
    ADCON1 = 0x0E;        // LEFT JUST, AVdd/AVss ref AN0 Analog
    
    TRISAbits.TRISA0 = 1;   // RA0(AN0) input
}

unsigned char ADC_GetConversion(void)
{
    ADCON0bits.GODONE = 1;
    while(ADCON0bits.GODONE);
    
    return ((ADRESH<<8) | ADRESL);
}

unsigned char ADC_GetConversionHigh(void)
{
    ADCON0bits.GODONE = 1;
    while(ADCON0bits.GODONE);
    
    return ADRESH;
}