#include <xc.h>
#include "ADC.h"

void System_Initialize(void)
{
    TRISD = 0x00;
    LATD = 0x00;    
}

void main(void)
{
    unsigned char ADC_Value;
    
    System_Initialize();
    ADC_Initialize();
    
    while(1)
    {
        ADC_Value = ADC_GetConversionHigh();
        
        if(ADC_Value >= 0xE0) { ADC_Value = 0x80; }
        else if(ADC_Value >= 0xC0) { ADC_Value = 0x40; }
        else if(ADC_Value >= 0xA0) { ADC_Value = 0x20; }
        else if(ADC_Value >= 0x80) { ADC_Value = 0x10; }
        else if(ADC_Value >= 0x60) { ADC_Value = 0x08; }
        else if(ADC_Value >= 0x40) { ADC_Value = 0x04; }
        else if(ADC_Value >= 0x20) { ADC_Value = 0x02; }
        else { ADC_Value = 0x01; }
        
        LATD = ADC_Value;
    }
}
